| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
tif_swab.c File Reference
`#include "tiffiop.h"`

Go to the source code of this file.

## Functions
void | TIFFSwabShort (uint16 *wp)
void | TIFFSwabLong (uint32 *lp)
void | TIFFSwabArrayOfShort (uint16 *wp, register unsigned long n)
void | TIFFSwabArrayOfTriples (uint8 *tp, unsigned long n)
void | TIFFSwabArrayOfLong (register uint32 *lp, register unsigned long n)
void | TIFFSwabDouble (double *dp)
void | TIFFSwabArrayOfDouble (double *dp, register unsigned long n)
const unsigned char * | TIFFGetBitRevTable (int reversed)
void | TIFFReverseBits (register unsigned char *cp, register unsigned long n)

## Function Documentation

const unsigned char* TIFFGetBitRevTable | ( | int | reversed | ) |

Definition at line 212 of file tif_swab.c.

void TIFFReverseBits | ( | register unsigned char * | cp,
|  | register unsigned long | n
| ) |  |

Definition at line 218 of file tif_swab.c.

void TIFFSwabArrayOfDouble | ( | double * | dp,
|  | register unsigned long | n
| ) |  |

Definition at line 120 of file tif_swab.c.

void TIFFSwabArrayOfLong | ( | register uint32 * | lp,
|  | register unsigned long | n
| ) |  |

Definition at line 91 of file tif_swab.c.

void TIFFSwabArrayOfShort | ( | uint16 * | wp,
|  | register unsigned long | n
| ) |  |

Definition at line 59 of file tif_swab.c.

void TIFFSwabArrayOfTriples | ( | uint8 * | tp,
|  | unsigned long | n
| ) |  |

Definition at line 75 of file tif_swab.c.

void TIFFSwabDouble | ( | double * | dp | ) |

Definition at line 108 of file tif_swab.c.

void TIFFSwabLong | ( | uint32 * | lp | ) |

Definition at line 47 of file tif_swab.c.

void TIFFSwabShort | ( | uint16 * | wp | ) |

Definition at line 36 of file tif_swab.c.